# cypress-example

This is a sample Cypress project with Mochawesome reporter for Calliope.Pro users.

1. Cypress supports Node.js version 12 or 14 and above. Hence, Node.js should be installed in your device.

[Cypress System Requirements](https://docs.cypress.io/guides/getting-started/installing-cypress#System-requirements)

2. Clone the repository to your machine.

    `git clone git@gitlab.spritecloud.com:calliope-pro-public/cypress-example.git`

3. Run the command in the project root to install the dependencies.

    `npm i`

    E.g. `keremsezen@Kerems-MacBook-Pro cypress-example % npm i`

4. Replace `{INSERT_CALLIOPE_API_KEY}` and `{INSERT_CALLIOPE_PROFILE_ID}` with actual values.

    - You can find Calliope.Pro API key in User settings > Access tokens

    - Profile ID is the value in the url when you are on the profile page which you would like to upload your test results to.

5. Push the code to your very own repository and let the pipeline run.

6. Once the pipeline is completed, check the results in the profile.


All the best testing wishes from Calliope.pro team.



