const apiKey = '{INSERT_YOUR_API_KEY}';
const apiBaseUrl = 'https://app.calliope.pro/';

describe('API Tests for Calliope', () => {
    it('should PASS the test on format api call', () => {
        cy.request({
            url: `${apiBaseUrl}api/v2/formats`,
            method: 'GET',
            headers: {
                'x-api-key': apiKey,
            },
        }).then((response) => {
            expect(response.status).to.be.eq(200);
        });
    });

    it('should FAIL the test on format api call', () => {
        cy.request({
            url: `${apiBaseUrl}api/v2/formats`,
            method: 'GET',
            headers: {
                'x-api-key': apiKey,
            },
        }).then((response) => {
            expect(response.status).to.be.eq(201);
        });
    });

    it.skip('should SKIP the test on format api call', () => {
        cy.request({
            url: `${apiBaseUrl}api/v2/formats`,
            method: 'GET',
            headers: {
                'x-api-key': apiKey,
            },
        }).then((response) => {
            expect(response.status).to.be.eq(404);
        });
    });
});
